-- Toroko attacks!
function obj63()
	if (obj.do_collisions(false)) then
		obj.y(obj.y()-FRACUNIT)
		return
	end
	obj.flags(0x20,true) -- NPC_SHOOTABLE
	--local timer = 3*TICKRATE -- Rofl.
	local timer = 2.4*TICKRATE
	if (obj.life() - TILE > timer) then
		if (math.floor((obj.life() - TILE - timer)%10) == 0) then
			if (obj.dir() == 0) then
				obj.dir(2)
			else
				obj.dir(0)
			end
		end
	end
	if (obj.dir() == 2) then
		obj.momx(3*FRACUNIT)
	else
		obj.momx(-3*FRACUNIT)
	end
end
